# boost::numeric::ublas::promote_traits< X, Y > Struct Template Reference

List of all members.

## Public Types

typedef type_deduction_detail::base_result_of < X, Y > | base_type
typedef mpl::at_c< typename base_type::types, index > ::type | id
typedef id::type | promote_type

## Static Public Attributes

static base_type::x_type | x
static base_type::y_type | y
static const std::size_t | size
static const std::size_t | index = (size / sizeof (char)) - 1

### template<class X, class Y>
struct boost::numeric::ublas::promote_traits< X, Y >

## Member Data Documentation

template<class X, class Y>

const std::size_t boost::numeric::ublas::promote_traits< X, Y >::size`[static]`

Initial value:

     sizeof (
                    type_deduction_detail::test<
                        typename base_type::x_type
                      , typename base_type::y_type
                    >(x + y)
                )